<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oganikku</title>
    <!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<style>
    body{
        margin: 0px;
    }
    .bg-container{
    background: rgba(0,0,0,0.7) url(static/images/loginbg.jpg);
    background-blend-mode: darken;
    height: 100vh;
    width: 100%;
    background-repeat: no-repeat;
    background-size: 100vw 100vh;
    }
    .form-container{
        padding-top: 7%;
    }
    input {
        border-top-style: hidden;
        border-right-style: hidden;
        border-left-style: hidden;
        border-bottom-style: solid;
        border-bottom-color: white;
        background-color: transparent;
        width: 100%;
        height: 50px;
      }
      
      .no-outline:focus {
        outline: none;
   
      }
      .btn-login{
        width: 400px;
        background-color: #A9D18E;
        padding: 20px;
        border-radius: 30px;
        font-size: 20px;
        cursor: pointer;
        display: flex;
        text-align: center;
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
      }
    .btn-create-account{
        margin-top:2%;
        font-family: Century Gothic;
        font-weight: bold;
        font-size:20px;
        text-align: center;
        color: white;
        cursor: pointer;
        margin-left: auto;
        margin-right: auto;
        display: flex;
        justify-content: center;
    }
</style>



<body > 
   <div class="bg-container">
        <div class="form-container">
                <div style="color: white;text-align: center; font-size: 30px;font-family: Century Gothic;">
                    welcome block
                </div>
                <div style="color:white;text-align: center;font-size: 50px;font-weight: bold;font-family:Century Gothic;">
                    Login Your Account
                </div>
                <center> 
                <div style="
                    margin-top:3%;
                    width:470px;
    
                    text-align: left;"
                    >
                    <form action="/login" method="POST">
                        <p style="color:white;font-size: 20px;margin-bottom:2px;">Email</p>
                        <input type="email" name="email" class="no-outline" placeholder="Email@mail.com"
                        autocomplete="off" required
                        style="color: white;">
                        <p style="color: white;font-size: 20px;margin-bottom:2px;margin-top:3%;">Password</p>
                        <input type="password" required name="password"  autocomplete="off" class="no-outline" placeholder="Password" style="color:white;">
                    
                        <div style="width: 100%;">
                        {% with messages = get_flashed_messages() %}
                        {% if messages %}
                            <ul class=flashes style="margin-top:3%;text-align: center;color: red; font-family: Century Gothic;font-weight: bold;padding-left: 0px;">
                            {{ messages[0] }}
                            </ul>
                        {% endif %}
                        {% endwith %}
                    </div>
                      
                        <button type="submit" class="btn-login" style="margin-top:3%;color:white;">
                            Login
                        </button>
                    </form>
                </div>
        
            <a href="{{url_for('user.register')}}" style="text-decoration: none;">
                <div class="btn-create-account">
                    Crate New Account ?
                </div>
            </a>
        </center>
        </div>
    </div>

</body>
</html>
<script>

</script>